Update UDV NFS share details
Update UDV NFS share details
Path Parameters
- id int32 required
Share ID for either a standalone UDV NFS share or an FS-subclient UDV NFS share
- application/json
Request Body required
- name string required
Name of the UDV NFS share
- planId int32
Plan to associate with the standalone share subclient
- allowedClientsType string required
Possible values: [
ALL,IP_ADDRESS,CIDR_BLOCK]Determines how allowedClientsList values are interpreted
- allowedClientsList string[]
IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'
- 200
- 400
- 404
- 500
UDV NFS standalone share details updated successfully
- application/json
- Schema
- Example (from schema)
Schema
- id int32
ID of the UDV NFS share
- name string
Name of the UDV NFS share
- subclientId int32
Subclient associated with the UDV NFS share
- planId int32
Plan associated with the UDV NFS share
mediaAgents object[]
Media Agents from the plan associated with the UDV NFS share that are to serve the UDV NFS share
id int32name string- allowedClientsType string
Possible values: [
ALL,IP_ADDRESS,CIDR_BLOCK]Determines how allowedClientsList values are interpreted
- allowedClientsList string[]
IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'
{
"id": 0,
"name": "string",
"subclientId": 0,
"planId": 0,
"mediaAgents": [
{
"id": 0,
"name": "string"
}
],
"allowedClientsType": "ALL",
"allowedClientsList": [
"string"
]
}
Invalid request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
UDV NFS share not found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal server error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}